import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);
export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'adminsys',
  routes: [
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/',
      component: () => import('../components/common/Home.vue'),
      meta: { title: '自述文件' },
      children: [
        {
          path: '/homeIndex',
          component: () => import('../views/homeIndex.vue'),
          meta: { title: '系统首页' },
        },
        {
          path: '/company',
          component: () => import('../views/company/index.vue'),
          meta: { title: '企业信息' },
        },
        {
          path: '/user',
          component: () => import('../views/user/index.vue'),
          meta: { title: '用户信息' },
        },
        {
          path: '/repair',
          component: () => import('../views/repair/index.vue'),
          meta: { title: '维修信息' },
        },
      ],
    },
    {
      path: '/login',
      component: () => import('../views/Login.vue'),
      meta: { title: '登录' },
    },
    {
      path: '*',
      redirect: '/404',
    },
  ],
});
