const path = require('path');
module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : process.env.VUE_APP_ROUTER,
  // 打包文件
  outputDir: 'adminsys',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
        },
      },
    });
  },
  devServer: {
    port: '8001',
    //api地址前缀
    proxy: {
      '/files': {
        target: 'http://192.168.1.43:8081',
      },
      '/api': {
        target: 'http://192.168.1.43:8081',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://192.168.1.43:8081',
        ws: true,
      },
    },
  },
};
